Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar
Class GrammarManager

    java.lang.Object
      org.kemet.impl.grammar.GrammarManager

All Implemented Interfaces:
  IGlobals, ISequence

    public class GrammarManager

extends java.lang.Object
implements IGlobals, ISequence

Since:
  0.1
Author:
  fabricemaupin

  Grammar Manager : manage the business layer (all implemented "hieroglyphic" features).

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Fields inherited from interface org.kemet.impl.grammar.model.ISequence
`primarySequence`

Constructor Summary
`GrammarManager(java.lang.String className, java.util.HashMap args)` Initialize the grammar manager and their business objets + connect to hiero.xml et phonogram.xml files.

Method Summary
`java.util.HashMap` | `getArgs()` return the parameters of the grammar manager
`java.lang.String` | `getCompleteTransliteredWord(java.lang.String word)` return the word completed with vowels.
`java.util.Vector` | `getEachTransliterationValue(java.lang.String transliteration)` get the differents values of a transliteration.
`int` | `getNumberOfConsomns()` return the number of consomns.
`java.util.HashMap` | `getNumberOfPartsForEntities()` return the number of parts for entities.
`java.util.Hashtable<java.lang.String,java.lang.String>` | `getSignInfo()` return informations about sign.
`java.lang.String` | `getSignInfo(java.lang.String value)` return id of sign from value
`boolean` | `isTCorrectFormat(java.lang.String transliteration, boolean exclude)` verify if the format of transliteration string is correct.
`void` | `setNumberOfConsomns(int numberOfConsomns)` fix the number of consomns
`java.lang.String[]` | `toEpuratePhoneticComplementFromSequence(java.lang.String[] transliteration, int number, java.util.HashMap ht, java.util.HashMap args)` return a transliterated sequence without phonetic complements.
`java.lang.String` | `toGrammaticalSequence(java.lang.String[] sequence)` get hieroglyphic features which are described in the sequence.
`java.lang.String` | `toHieroglyphs(java.lang.String[] transliterationList)` feature : get hieroglyphs from transliteration.
`java.lang.String` | `toPhoneticRead(java.lang.String[] transliterationList, java.lang.Boolean complete)` feature : get the phonetic read from a transliteration list.
`java.lang.String` | `toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList, java.lang.Boolean complete)` feature : get the phonetic read from a transliteration list.
`java.lang.String` | `toTransliteration(java.lang.String[] signList, java.lang.Integer indexValueOfTransliteration)` feature : transliterate hieroglyphs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrammarManager

    public GrammarManager(java.lang.String className,
                          java.util.HashMap args)
                   throws KemetAPIException

  Initialize the grammar manager and their business objets + connect to hiero.xml et phonogram.xml files.

  Parameters:
    `className` - name of grammar class
    `args` - list of system informations see DeveloperGuide : "first step : How to configure KEMET Library ?" see KEMET_DATA : hiero.xml see KEMET_DATA : phonogram.xml
  Throws:
    `KemetAPIException`
  Since:
    0.1

Method Detail

### toTransliteration

    public java.lang.String toTransliteration(java.lang.String[] signList,
                                              java.lang.Integer indexValueOfTransliteration)
                                       throws KemetAPIException

  feature : transliterate hieroglyphs. call the "grammar business" (implemented grammar) and execute the associated method.

  Parameters:
    `signList` - list of hieroglyphs to transliterate
    `indexValueOfTransliteration` - specify which index of transliteration value (in hiero.xml file we can have several values) we have to take (index is often = 0 )
  Returns:
    transliterated sequence
  Throws:
    `KemetAPIException`
  Since:
    0.1

### toEpuratePhoneticComplementFromSequence

    public java.lang.String[] toEpuratePhoneticComplementFromSequence(java.lang.String[] transliteration,
                                                                      int number,
                                                                      java.util.HashMap ht,
                                                                      java.util.HashMap args)
                                                               throws KemetAPIException

  return a transliterated sequence without phonetic complements.

  Parameters:
    `transliteration` - list to epurate
    `number` - number of caracters to concatenate (ex : 2 for biliteres)
    `ht` - list of phonograms
    `args` - list of arguments
  Returns:
    epurated sequence list
  Throws:
    `KemetAPIException`
  Since:
    0.2

### toGrammaticalSequence

    public java.lang.String toGrammaticalSequence(java.lang.String[] sequence)

  get hieroglyphic features which are described in the sequence.

  Parameters:
    `sequence` - of sign to analyse
  Returns:
    hieroglyphic features
  Since:
    0.1

### isTCorrectFormat

    public boolean isTCorrectFormat(java.lang.String transliteration,
                                    boolean exclude)

  verify if the format of transliteration string is correct.

  Parameters:
    `transliteration` - to analyse
    `exclude` - exclude caracter "?" ?
  Returns:
    true / false
  Since:
    0.1

### getEachTransliterationValue

    public java.util.Vector getEachTransliterationValue(java.lang.String transliteration)

  get the differents values of a transliteration.

  Parameters:
    `transliteration` - transliteration to split
  Returns:
    list of values
  Since:
    0.1

### getCompleteTransliteredWord

    public java.lang.String getCompleteTransliteredWord(java.lang.String word)

  return the word completed with vowels.

  Parameters:
    `word` - to complete
  Returns:
    completed word
  Since:
    0.1

### toHieroglyphs

    public java.lang.String toHieroglyphs(java.lang.String[] transliterationList)
                                   throws KemetAPIException

  feature : get hieroglyphs from transliteration. call the "grammar business" (implemented grammar) and execute the associated method.

  Parameters:
    `transliterationList` - list of transliteration
  Returns:
    sequence of hieroglyphs
  Throws:
    `KemetAPIException`
  Since:
    0.1

### toPhoneticRead

    public java.lang.String toPhoneticRead(java.lang.String[] transliterationList,
                                           java.lang.Boolean complete)
                                    throws KemetAPIException

  feature : get the phonetic read from a transliteration list. call the "grammar business" (implemented grammar) and execute the associated method.

  evaluate the phonetic value for each part of each transliteration of the list.

  Parameters:
    `transliterationList` - the transliteration
    `complete` - transliteration + vowel
  Returns:
    phonetic read of a transliteration
  Throws:
    `KemetAPIException`
  Since:
    0.1

### toPhoneticReadWithGlobalApproach

    public java.lang.String toPhoneticReadWithGlobalApproach(java.lang.String[] transliterationList,
                                                             java.lang.Boolean complete)
                                                      throws KemetAPIException

  feature : get the phonetic read from a transliteration list. call the "grammar business" (implemented grammar) and execute the associated method.

  evaluate the phonetic value for each transliteration of the list.

  Parameters:
    `transliterationList` - the transliteration
    `complete` - transliteration + vowel
  Returns:
    phonetic read of a transliteration
  Throws:
    `KemetAPIException`
  Since:
    0.2

### getSignInfo

    public java.lang.String getSignInfo(java.lang.String value)

  return id of sign from value

  Parameters:
    `value` -
  Returns:
    id of sign
  Since:
    0.2

### getSignInfo

    public java.util.Hashtable<java.lang.String,java.lang.String> getSignInfo()

  return informations about sign.

  Returns:
    informations about sign
  Since:
    0.1

### getNumberOfConsomns

    public int getNumberOfConsomns()

  return the number of consomns.

  Returns:
    number of consomns
  Since:
    0.2

### setNumberOfConsomns

    public void setNumberOfConsomns(int numberOfConsomns)

  fix the number of consomns

  Parameters:
    `numberOfConsomns` - number of consomns
  Since:
    0.2

### getArgs

    public java.util.HashMap getArgs()

  return the parameters of the grammar manager

  Returns:
    parameters of the grammar manager
  Since:
    0.1

### getNumberOfPartsForEntities

    public java.util.HashMap getNumberOfPartsForEntities()

  return the number of parts for entities.

  Returns:
    number of parts for entities
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.